## com.bbn.openmap.gui
Class CoordDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--com.bbn.openmap.gui.CoordDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, LightMapHandlerChild, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class CoordDialog
extends javax.swing.JDialog
implements java.io.Serializable, java.awt.event.ActionListener, LightMapHandlerChild

A Dialog box wrapper for a CombinedCoordPanel.

See Also:
  Serialized Form

Field Summary
`protected CombinedCoordPanel` `ccp`
`protected I18n` `i18n`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`CoordDialog()` Creates a Dialog Box with a CombinedCoordPanel.
`CoordDialog(java.lang.String title, java.lang.String comment)` Creates a Dialog Box with a CombinedCoordPanel with a specified title and comment.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `addCenterListener(CenterListener listener)` Add a CenterListener to the CombinedCoordPanel to receive events when the apply button is hit.
`void` `findAndInit(java.lang.Object someObj)` LightMapHandlerChild method.
`void` `findAndUndo(java.lang.Object someObj)` LightMapHandlerChild method.
`LatLonPoint` `getLatLon()`
`void` `removeCenterListener(CenterListener listener)` Remove a CenterListener from the listener list.
`void` `setLatLon(LatLonPoint llpoint)` Sets the contents of the latitude and longitude entry boxes in CoordPanel
`protected void` `setup()` Creates a CoordPanel (which has latitude and longitude entry boxes) and Apply and Close buttons
`protected void` `setup(java.lang.String comment)`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ccp

    protected transient CombinedCoordPanel ccp

### i18n

    protected I18n i18n

Constructor Detail

### CoordDialog

    public CoordDialog()

  Creates a Dialog Box with a CombinedCoordPanel.

### CoordDialog

    public CoordDialog(java.lang.String title,
                       java.lang.String comment)

  Creates a Dialog Box with a CombinedCoordPanel with a specified title and comment.

Method Detail

### setup

    protected void setup()

  Creates a CoordPanel (which has latitude and longitude entry boxes) and Apply and Close buttons

### setup

    protected void setup(java.lang.String comment)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getLatLon

    public LatLonPoint getLatLon()

  Returns:
    the LatLonPoint represented by contents of the entry boxes in the CoordPanel

### setLatLon

    public void setLatLon(LatLonPoint llpoint)

  Sets the contents of the latitude and longitude entry boxes in CoordPanel

  Parameters:
    `llpoint` - the object containt the coordinates that should go in the boxes

### addCenterListener

    public void addCenterListener(CenterListener listener)

  Add a CenterListener to the CombinedCoordPanel to receive events when the apply button is hit.

  Parameters:
    `listener` - The CenterListener to be added

### removeCenterListener

    public void removeCenterListener(CenterListener listener)

  Remove a CenterListener from the listener list.

  Parameters:
    `listener` - The CenterListener to be removed

### findAndInit

    public void findAndInit(java.lang.Object someObj)

  LightMapHandlerChild method. The CoordDialog passes all objects to the CombinedCoordPanel.

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`

### findAndUndo

    public void findAndUndo(java.lang.Object someObj)

  LightMapHandlerChild method. The CoordDialog passes all objects to the CombinedCoordPanel.

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details